Interface JsltEndpointBuilderFactory.JsltBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- JsltEndpointBuilderFactory
public static interface JsltEndpointBuilderFactory.JsltBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default JsltEndpointBuilderFactory.JsltHeaderNameBuilderjslt()JSLT (camel-jslt) Query or transform JSON payloads using an JSLT.default JsltEndpointBuilderFactory.JsltEndpointBuilderjslt(String path)JSLT (camel-jslt) Query or transform JSON payloads using an JSLT.default JsltEndpointBuilderFactory.JsltEndpointBuilderjslt(String componentName, String path)JSLT (camel-jslt) Query or transform JSON payloads using an JSLT.
-
-
-
Method Detail
-
jslt
default JsltEndpointBuilderFactory.JsltHeaderNameBuilder jslt()
JSLT (camel-jslt) Query or transform JSON payloads using an JSLT. Category: transformation Since: 3.1 Maven coordinates: org.apache.camel:camel-jslt- Returns:
- the dsl builder for the headers' name.
-
jslt
default JsltEndpointBuilderFactory.JsltEndpointBuilder jslt(String path)
JSLT (camel-jslt) Query or transform JSON payloads using an JSLT. Category: transformation Since: 3.1 Maven coordinates: org.apache.camel:camel-jslt Syntax:jslt:resourceUriPath parameter: resourceUri (required) Path to the resource. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod.- Parameters:
path- resourceUri- Returns:
- the dsl builder
-
jslt
default JsltEndpointBuilderFactory.JsltEndpointBuilder jslt(String componentName, String path)
JSLT (camel-jslt) Query or transform JSON payloads using an JSLT. Category: transformation Since: 3.1 Maven coordinates: org.apache.camel:camel-jslt Syntax:jslt:resourceUriPath parameter: resourceUri (required) Path to the resource. You can prefix with: classpath, file, http, ref, or bean. classpath, file and http loads the resource using these protocols (classpath is default). ref will lookup the resource in the registry. bean will call a method on a bean to be used as the resource. For bean you can specify the method name after dot, eg bean:myBean.myMethod.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- resourceUri- Returns:
- the dsl builder
-
-